## org.apache.xalan.xsltc.dom
Class LoadDocument

    java.lang.Object
      org.apache.xalan.xsltc.dom.LoadDocument

    public final class LoadDocument

extends java.lang.Object

Author:
  Morten Jorgensen

Constructor Summary
`LoadDocument()`

Method Summary
`static DTMAxisIterator` `documentF(java.lang.Object arg1, DTMAxisIterator arg2, java.lang.String xslURI, AbstractTranslet translet, DOM dom)` Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes.
`static DTMAxisIterator` `documentF(java.lang.Object arg, java.lang.String xslURI, AbstractTranslet translet, DOM dom)` Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadDocument

    public LoadDocument()

Method Detail

### documentF

    public static DTMAxisIterator documentF(java.lang.Object arg1,
                                            DTMAxisIterator arg2,
                                            java.lang.String xslURI,
                                            AbstractTranslet translet,
                                            DOM dom)
                                     throws TransletException

  Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes. Builds a union-iterator if several documents are requested. 2 arguments arg1 and arg2. document(Obj, node-set) call

  Throws:
    `TransletException`

### documentF

    public static DTMAxisIterator documentF(java.lang.Object arg,
                                            java.lang.String xslURI,
                                            AbstractTranslet translet,
                                            DOM dom)
                                     throws TransletException

  Interprets the arguments passed from the document() function (see org/apache/xalan/xsltc/compiler/DocumentCall.java) and returns an iterator containing the requested nodes. Builds a union-iterator if several documents are requested. 1 arguments arg. document(Obj) call

  Throws:
    `TransletException`

Copyright © 2005 Apache XML Project. All Rights Reserved.